## zim 0.43

=== Makefile ===
PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/zim
PROJECT=zim

all:
	$(PYTHON) setup.py build

help:
	@echo "make - Build sources"
	@echo "make test - Run test suite"
	@echo "make install - Install on local system"
	@echo "make source - Create source package"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

test:
	$(PYTHON) test.py

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall

builddeb:
	dpkg-buildpackage -i -I -rfakeroot
	$(MAKE) -f $(CURDIR)/debian/rules clean

clean:
	$(PYTHON) setup.py clean
	rm -rf build/ MANIFEST tests/tmp/ locale/ man/
	find . -name '*.pyc' -delete

=== debian/changelog ===
zim (0.43-2) unstable; urgency=low

  * Force usage of the python_distutils build system of dh7 as this
    one correctly sets the prefix to /usr while using the Makefile
    ends up using /usr/local. Closes: #569021
    This requires debhelper >= 7.4.12 to work properly so build-depend
    on it.
  * Update standards-version to 3.8.4 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 09 Feb 2010 16:23:11 +0100

zim (0.43-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches/backport-fix-index (included upstream).
  * Add python-gtkspell to Recommends for the spell checker plugin.
  * Add dvipng to Suggests for the equation plugin.
  * Simplify debian/rules now that the upstream Makefile is sane enough.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 13 Jan 2010 15:04:16 +0100

zim (0.42-3) unstable; urgency=low

  * Update debian/patches/backport-fix-index to pick the correct patch this
    time and drop debian/patches/avoid-json-on-python25 since it's also part
    of the same upstream commit that fixed the index.
    Really closes: #564748

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 12 Jan 2010 09:21:35 +0100

zim (0.42-2) unstable; urgency=low

  * Cherry-pick upstream fix for the index: debian/patches/backport-fix-index
    Closes: #564748
  * Add debian/pyversions to restrict module building to python 2.5 and newer.
    Closes: #564834
  * Don't try to use "json" on python2.5, fallback to simplejson. Thanks
    to Thomas Nilsson <thomas.nilsson@unixangst.com> for the patch.
    Closes: #564835

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 12 Jan 2010 09:05:39 +0100

zim (0.42-1) unstable; urgency=low

  * New upstream release. It's a complete rewrite in python. Closes: #564664
  * Switch to debhelper 7 tiny rules files.
  * Update watch file to accept a tarball name like zim-0.42.tar.gz (with a
    lowercase first letter).
  * Rewrite/update copyright file using DEP-5 since the code base is new.
  * Update my name in Uploaders.
  * Switch to "3.0 (quilt)" source format.
  * Export XDG_DATA_DIRS as debian/zim/usr/share/ and pre-create
    /usr/share/icons/hicolor so that "xdg-icon-resource install" works
    and installs the icon in package directory and not in the system
    directory.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Jan 2010 09:31:03 +0100

zim (0.28-1) unstable; urgency=low

  * New upstream version:
    * Reversed behavior of html export to use <br> elements - lp: #311292
    * Fixed install script for Module::Build version 0.3x - lp: #319964
    * Added support for RTL languages in html export - lp: #303108
    * Added DiagramEditor plugin to insert Graphviz diagrams
    * Added SortSelection plugin - lp: #318904
    * Applied patch to improve perl Pod format backend by Christoph Rudorff
    * Applied patch to set toolbar style by Christoph Rudorff
    * Added calendar icon with tango colors, submitted by Gabriel Hurley
    * Changed EquationEditor latex template to allow line breaks - lp: #301658
    * Fixed two syntax bugs - lp: #297932 & lp: #312894
    * Fixed bug where checkboxlist with an empty line causes a freeze -
      lp: #300184
    * Fixed bug where page headers show in "send to.." email content -
      lp: #316153
    * Replaced horizontal scrollbar for page index by ellipsize - lp: #297682
  * Remove Build-Conflicts now that the build system works agains with a
    recent Module::Build. Closes: #512023

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 23 Feb 2009 10:55:43 +0100

zim (0.27-1) unstable; urgency=low

  * New upstream version:
    * Added translation for traditional Chinese
    * Fixed Subversion support same level as Bazaar - lp #263043
    * Added support for checkbox lists - lp #283901
    * Added feature to automount notebooks - e.g. to use fuse encfs
    * Fixed bug that the Bazaar test did not skip properly if bzr not installed
    * Fixed bugs for using gjots notebooks
    * Fixed bug open notebooks were not italized in notebook dialog - lp #272518
    * Fixed bug with toggling format buttons - lp #273577
    * Added tooltips to pathbar buttons - lp #273593
    * Changed window title to notebook name instead of page name - lp #272430
  * Fix Build-Depends to accept perl-modules (>= 5.10) as provider of
    libmodule-build-perl.
  * Build-Conflicts on libmodule-build-perl (>= 0.3000) as the build fails
    with this version installed.

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 23 Nov 2008 19:03:02 +0100

zim (0.26-2) unstable; urgency=low

  * Add scrot to Recommends, it's used by the Insert Screenshot plugin.
    Taken from Ubuntu (LP: #267534) where the change was made by Alessio
    Treglia <quadrispro@ubuntu.com> (unfortunately without reporting the
    problem to the Debian BTS).

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 08 Oct 2008 09:27:34 +0200

zim (0.26-1) unstable; urgency=low

  * New upstream version:
    * Added translations for Finnish, Turkish and Simplified Chinese
    * Added integrated version control support for zim notebooks based on
      Bazaar. Added "Save Version" (<Ctrl><Shift>S) and "Versions" dialog
      to File menu.
    * Zim text files now have headers with content type and time stamps
    * Changed wiki syntax for Verbatim blocks, now allows non-verbatim
      paragaphs and bullet lists to be indented - lp #208986
    * Added mimetype for zim text files text/x-zim-wiki
    * Changed mimetype for .zim files to application/x-zim-notebook
    * Added special notebook for man pages with "--man" commandline option
    * Added support for reading gjots2(1) files; added application/x-gjots
      mimetype
    * Made auto incrementing a numbered list optional - lp #235020
      Closes: #482449
    * Added translation support for plural forms - lp #226976
    * Fixed bugs for perl 5.10 - lp #235030, #242490
      Closes: #482797
    * Fixed bug in Calendar plugin when namespace is read-only


=== debian/control ===
Source: zim
Section: x11
Priority: optional
Maintainer: Emfox Zhou <emfox@debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 7.4.12), python-support (>= 0.8), xdg-utils, python (>= 2.5), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/zim/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zim/trunk?op=log
Homepage: http://zim-wiki.org
Standards-Version: 3.8.4

Package: zim
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-xdg, python-simplejson | python (>= 2.6)
# python-gtkspell required for the spell checker plugin
Recommends: python-gtkspell
# graphviz required for the link map/diagram plugins
# bzr required for the version control plugin
# scrot required for the screenshot plugin
# dvipng required for the "equation" plugin
Suggests: bzr, graphviz, scrot, dvipng
Description: graphical text editor based on wiki technologies
 Zim is a WYSIWYG text editor. It aims at bringing the concept of a wiki to
 your desktop. For example every page is saved as a text file with wiki markup.
 Pages can contain links to other pages, and are saved automatically. Creating
 a new page is as easy as linking to a non-existing page. Pages are
 ordered in a hierarchical structure that gives it the look and feel of an
 outliner.
 .
 This tool can be used to keep track of TODO lists or ideas, to take notes
 during a meeting or to draft any other kind of text (blog entries,
 important mails, etc.).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Zim requires this environment variable...
export USER=fake
export XDG_DATA_DIRS=$(CURDIR)/debian/zim/usr/share/

%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_test:
	# Disable as it requires an X display

## zim 0.46

=== debian/changelog ===
zim (0.46-1a) unstable; urgency=low

  * New upstream version fixing a major bug introduced in 0.45 (it was not
    possible to create new pages with that version). 
  * Update patches/munge-build-system to accommodate setup.py changes.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 24 Mar 2010 23:45:58 +0100

zim (0.45-1) unstable; urgency=low

  * New upstream version.
    - Fixes automatic indentation not working when NumLock is on.
      Closes: #570736
    - Better handling of plugins with missing dependencies and of task list
      window when no tasks are stored in the wiki. Closes: #565135

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 23 Mar 2010 23:58:23 +0100

zim (0.44-1) unstable; urgency=low

  * New upstream version.
    - Fixes problems with searching pages in other locales. Closes: #565489

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 19 Feb 2010 09:10:53 +0100

zim (0.43-3) unstable; urgency=low

  * Add missing Build-Depends on python-simplejson. Closes: #569384

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 12 Feb 2010 09:26:05 +0100

## zim 0.47

=== Makefile ===
--- 
+++ 
@@ -33,5 +33,6 @@
 
 clean:
 	$(PYTHON) setup.py clean
-	rm -rf build/ MANIFEST tests/tmp/ locale/ man/
+	rm -rf build/ MANIFEST tests/tmp/ locale/ man/ xdg/hicolor
 	find . -name '*.pyc' -delete
+	rm -fr debian/zim* debian/files debian/python-module-stampdir/

=== debian/changelog ===
zim (0.47-1) unstable; urgency=low

  * New upstream release.
    - Implements "zim --plugin trayicon" to start in the systray.
      Closes: #582039
  * Drop patch munge-build-system, we can use --skip-xdg-cmd option now
    and the build system installs everything in the right path alone.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 11 Jun 2010 21:30:15 +0200

zim (0.46-1) unstable; urgency=low

  * New upstream version fixing a major bug introduced in 0.45 (it was not
    possible to create new pages with that version). 
  * Update patches/munge-build-system to accommodate setup.py changes.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 24 Mar 2010 23:45:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Emfox Zhou <emfox@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 7.4.12), python-support (>= 0.8), xdg-utils, python (>= 2.5), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg
+Build-Depends: debhelper (>= 7.4.12), python-support (>= 0.8), xdg-utils, python (>= 2.5), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, python-simplejson | python (>= 2.6)
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/zim/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zim/trunk?op=log
 Homepage: http://zim-wiki.org

## zim 0.48

=== debian/changelog ===
zim (0.48-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.0 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Jul 2010 08:59:01 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/zim/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zim/trunk?op=log
 Homepage: http://zim-wiki.org
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 
 Package: zim
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Zim requires this environment variable...
export USER=fake

%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_test:
	# Disable as it requires an X display

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils -- --skip-xdg-cmd

## zim 0.50

=== Makefile ===
--- 
+++ 
@@ -35,4 +35,5 @@
 	$(PYTHON) setup.py clean
 	rm -rf build/ MANIFEST tests/tmp/ locale/ man/ xdg/hicolor
 	find . -name '*.pyc' -delete
+	find . -name '*~' -delete
 	rm -fr debian/zim* debian/files debian/python-module-stampdir/

=== debian/changelog ===
zim (0.50-1) unstable; urgency=low

  * New upstream release.
  * Adopt improved description discussed between upstream and Chris Wilson.
    Closes: #609261

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 19 Feb 2011 16:48:13 +0100

zim (0.49-1) unstable; urgency=low

  * New upstream release.
    * Now correctly guesses the default text editor. The user can also
      configure it. Closes: #600946
  * Update Standards-Version to 3.9.1 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 10 Nov 2010 21:15:51 +0100

=== debian/control ===
Source: zim
Section: x11
Priority: optional
Maintainer: Emfox Zhou <emfox@debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 7.4.12), python-support (>= 0.8), xdg-utils, python (>= 2.5), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, python-simplejson | python (>= 2.6)
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/zim/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zim/trunk?op=log
Homepage: http://zim-wiki.org
Standards-Version: 3.9.1

Package: zim
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-xdg, python-simplejson | python (>= 2.6)
# python-gtkspell required for the spell checker plugin
Recommends: python-gtkspell
# graphviz required for the link map/diagram plugins
# bzr required for the version control plugin
# scrot required for the screenshot plugin
# dvipng required for the "equation" plugin
Suggests: bzr, graphviz, scrot, dvipng
Description: graphical text editor based on wiki technologies
 Zim is a graphical text editor used to maintain a collection of wiki pages.
 .
 Each page can contain links to other pages, simple formatting and inline
 images. Pages are stored in a folder structure, like in an outliner, and can
 have attachments. Creating a new page is as easy as linking to a nonexistent
 page.
 .
 All data is stored in plain text files with wiki formatting. Various
 plugins provide additional functionality, like a task list manager, an
 equation editor, a tray icon, and support for version control.
 .
 Zim can be used to:
  * Keep an archive of notes
  * Take notes during meetings or lectures
  * Organize task lists
  * Draft blog entries and emails
  * Do brainstorming

## zim 0.52

=== debian/changelog ===
zim (0.52-1) unstable; urgency=low

  * New upstream release. Closes: #623413
  * Has a "Trashcan" support to avoid losing files by mistakes.
    Closes: #619756
  * Upgrade Standards-Version to 3.9.2.
  * Add python-gojbect explicitly in Depends since zim uses directly
    the gio python module.
  * Add XS-Python-Version: current to make the package buildable
    while we're in the middle of a python2.7 transition.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 01 May 2011 09:29:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/zim/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zim/trunk?op=log
 Homepage: http://zim-wiki.org
-Standards-Version: 3.9.1
+XS-Python-Version: current
+Standards-Version: 3.9.2
 
 Package: zim
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-xdg, python-simplejson | python (>= 2.6)
+Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-xdg, python-simplejson | python (>= 2.6)
 # python-gtkspell required for the spell checker plugin
 Recommends: python-gtkspell
 # graphviz required for the link map/diagram plugins

## zim 0.52-maemo2

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	@echo "make source - Create source package"
 	@echo "make buildrpm - Generate a rpm package"
 	@echo "make builddeb - Generate a deb package"
+	@echo "make epydoc - Generate API docs using 'epydoc'"
 	@echo "make clean - Get rid of scratch and byte files"
 
 source:
@@ -31,6 +32,11 @@
 	dpkg-buildpackage -i -I -rfakeroot
 	$(MAKE) -f $(CURDIR)/debian/rules clean
 
+epydoc:
+	rm -fr ./apidoc
+	epydoc --html zim --graph umlclasstree -o ./apidoc --parse-only --no-private
+	@echo -e '\nAPI docs are available in ./apidoc'
+
 clean:
 	$(PYTHON) setup.py clean
 	rm -rf build/ MANIFEST tests/tmp/ locale/ man/ xdg/hicolor

=== debian/changelog ===
zim (0.52-maemo2) stable; urgency=low

  * Updated to release 0.52

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Thu, 05 Jun 2011 23:29:41 +0200

zim (0.48) lucid; urgency=low

  * Updated to release 0.48 

 -- Jaap Karssenberg <pardus@cpan.org>  Thu, 22 Jul 2010 23:10:41 +0200

zim (0.47) lucid; urgency=low

  * Updated to release 0.47

 -- Jaap Karssenberg <pardus@cpan.org>  Sun, 06 Jun 2010 21:35:11 +0200

zim (0.46) karmic; urgency=low

  * Update to release 0.46 

 -- Jaap Karssenberg <pardus@cpan.org>  Wed, 24 Mar 2010 22:00:44 +0100

zim (0.45) karmic; urgency=low

  * Updated to release 0.45

 -- Jaap Karssenberg <pardus@cpan.org>  Tue, 23 Mar 2010 22:22:21 +0100

zim (0.44) karmic; urgency=low

  * Updated to release 0.44 

 -- Jaap Karssenberg <pardus@cpan.org>  Thu, 18 Feb 2010 19:07:28 +0100

zim (0.43) karmic; urgency=low

  * Updated to release 0.43 

 -- Jaap Karssenberg <pardus@cpan.org>  Mon, 18 Jan 2010 00:57:45 +0100

zim (0.42) karmic; urgency=low

  * Initial release.

 -- Jaap Karssenberg <pardus@cpan.org>  Sun, 10 Jan 2010 22:30:13 +0100

=== debian/control ===
Source: zim
Section: user/other
Priority: optional
Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
Build-Depends: debhelper (>= 5), python2.5 
Standards-Version: 3.7.2

Package: zim
Architecture: any
Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-simplejson
# graphviz required for the link map/diagram plugins
# bzr required for the version control plugin
# screenshot-tool required for the screenshot plugin
Suggests: bzr, graphviz, screenshot-tool
Description: A Desktop Wiki Editor
 Zim brings the concept of a wiki to your desktop. Store
 information, link pages and edit with WYSISYG markup.
 Creating a new page is as easy as linking to a non-existing
 page. Pages are stored in a folder structure, like in an
 outliner, and can have attachments.
 This tool can be used to keep track of TODO lists or ideas,
 to take notes during a meeting or to draft any other kind of
 text (blog entries, important mails, etc.).

## zim 0.52-maemo3

=== debian/changelog ===
zim (0.52-maemo3) stable; urgency=low

  * Updated to release 0.52

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Thu, 05 Jun 2011 23:29:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: zim
-Architecture: any
+Architecture: all
 Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-simplejson
 # graphviz required for the link map/diagram plugins
 # bzr required for the version control plugin
@@ -21,3 +21,37 @@
  This tool can be used to keep track of TODO lists or ideas,
  to take notes during a meeting or to draft any other kind of
  text (blog entries, important mails, etc.).
+Maemo-Icon-26: 
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
+ WXMAAA3XAAAN1wFCKJt4AAAGs0lEQVRIx42Wf1BU1xXHv/e9t79Z3JVfIr8TwYnT1aoYJTO2UyFi
+ 2jglTo06EQsFiUrjJNGp5ocmaVpN8wPJgEhMDNRJ24gKGlFipcLETlzDVFBLBVYFdNdAYJH9Abtv
+ 33v39o+FCIFC78ydN3Pf3PM5937POfcQxhimGhWVlavKDxw4MZNSA5nkvwtA/o4dr+Tm5LwzlR0B
+ 0wwGIMbnQ47dDmESp+rCw8GmM/J/gQiBRlEwy++HahKQQVEmrFFK0dXZpb506Z9zrl+/HvHMmqx/
+ TwsijOFblQrHo6PBASAcBzAGRikA4KZOh5QRByil6Gjv0FdWHn3iZO3fsod1jnQqSKbq2qqzpKSk
+ ZBklZHIIwOx375riExIseqOR99tsEf1HjmxWx8cPhOflHSGCIBOAe3zJkouRkVFNB4oOLD9R+5et
+ PnN3ZsJyzAhLBob7CKxFrIukWiye2X4/VCMejoFgkOMEw7x5xyoqKgrMZnPA29CQfCsj46IhLa3z
+ 0fr6lZxW63e73aT2zNn5H1eWbbMNfb3mkZU0PDwl6LgiArZzTIlxpb8vhDEWssnhQJQojhOVYwxN
+ M2bgEsdpxwQGoQAoQBRFYVcuW2fvfeO1zTcHLuXFrpDiHl9AQAQCxQ9QCXDaGNwt5q/fL375kEAA
+ qBmDhtIJoEnEZxwh6Ovv1xQVvrD27821haGpfUtSnwOvMhDIfkD2BiH+QaDjDL7btmH7HzNXZXYL
+ LkGQq2JioH14dYSjlOcIQZ8gABwnY4yGnRwvf3qvfUFrXHt5Sh4MoTEAlQgkL6AEglP2A7cvMCkt
+ efWHW7Y+X8/zPIQ9+/atpyP5MqqNp6oqw1VTk0sZYxGUNut5XnK53UJxzanlp2cHwrTPQr1oCdQE
+ BPJw0DgNAEqAQJEARxMFuZdw/O3jfzgYHR2tjETvxNyQe3oM9sLC3Q+qq3eq9PpOz8bsXXs7bz12
+ W/5qd8qvJHPoLAJZDIpNA6MnIaASMHCH4n696Zuy9yo2PrMmyzYmTSbPa6mnR28vLHypp7p6d6kA
+ +UomND9aB51KG9Ri9JroGIi3l6H9NNf166wXfvPuu39qUKvVmBYEAIM2m+H1zJWfNs7tejY5G+AI
+ gSI+hCgBEgRJgO8Bw+3zvHPdiq2/3b9/3+chISHjbE1ZGUo+P7bwpNmetvCXBIQCkvgDwAgk4AEc
+ 9Yyutawp2bd/f1VIiGGCLW4ygCiK6GjvUF9oOJeTsEKOU+sBaRiQfYDsIyPf4BRdwP0GxlbdAClo
+ 71jE/6M+nknS1CBRFMmNG6368kOHl65+Ov1w6+1vVhujgpE1AeIHRDdwp5H6Zg/EHswNDz/FWlqe
+ vrVxY7nzo4/m4AfF9nuN7Ha78c03Xn++5WrtL9xub1JKkpggc0BPLMGs+Q8DgAYAKgND/UCPlXPH
+ Gha+V1Za9oHn9KnE+8XF5SZJ+gkXGtoo7Nq1J2Cx9IBSwo2CvN4h5OfnvBTKn3hn6yaoxQDw4REg
+ MQa4eA0Q53IwxwVBAQ/Q30GhbgbWz3j0Ym51TVasxeLZsXPnppa6uqJoWQ4DY2yI551+nh9WCIFL
+ pQoGQ3+/09TX07T2ldegTooHGAPy1gdhP1sAXPgXRdcdAsnPZH+f9tvFuqS6fHfnk8muezGm3t5Q
+ WCweylhoiscTltXbCwIQAoRzAPo0GlQmJgY1unzZGq7mHHFREUCfE3irCPiuH9iSDfzHBqTOAegt
+ 07W1y17eXPzmJz//65lz2xcs/LFVDgQShq9eTfk+hBmDXlGgVxToFAVaRYFaUUAYC57I6/XGREfK
+ RoEHPqsGztYDSxcBP10G3HUAvy9WOdIzMkv37t3zZ7PZxEAphlJSrnis1g2+5uZFUJQGDvC3GI1u
+ h1Y77nGTOA5OjguC2tpakyLDYPyyEQgNAY6VA4lxwSt0e4C5jy0tPVR++JOhoSHV0aNHLTIhOuh0
+ Ko3BICktLU8GDh5s6u7udiWnpeUtTk3topSOg3GMQbDb7QartfEpkxacVgOkpQIDg0BvP3CtFfis
+ JuTKtu3PnTQajWhrazOVlZSURrjd8w2UQhMdLSiynC6WlDzhVKm4zBdffLugoODEZLkp5ObmbrFa
+ mzPiY2feeDBkuln3FRNpsCVQkucutv3u1ayTGzasCxZHQogRMGQ7HIY4nw8jLYDAMWY8FRkJBuj+
+ V5UR7Ha7KScn99X8/PwvEhOTnIyx0VeDzZxpplqtdtwGCsCjUmFQUcY9LSLPT1XNIJw/f/6tqKgo
+ RaPRTNueEQA+nsexuLgJPZ4LwLwp9v4X/sNK5kudcpoAAAAZdEVYdFNvZnR3YXJlAHd3dy5pbmtz
+ Y2FwZS5vcmeb7jwaAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	find -name '*.py[co]' -exec rm {} \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	DESTDIR="$(CURDIR)/debian/zim" SRCDIR="$(CURDIR)" maemo/build.sh

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## zim 0.53

=== debian/changelog ===
zim (0.53-1) unstable; urgency=low

  * New upstream release.
  * Drop again the XS-Python-Version field, python2.7 migration is over.
  * Define the HOME variable required by the build system. Make
    it point to an empty directory in the package build tree.
  * Drop python-support and switch to dh_python2.
  * Add debian/source/options to ignore changes on upstream files
    modified by the build process.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 07 Oct 2011 08:38:33 +0200

=== debian/control ===
Source: zim
Section: x11
Priority: optional
Maintainer: Emfox Zhou <emfox@debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 7.4.12), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/zim/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zim/trunk?op=log
Homepage: http://zim-wiki.org
Standards-Version: 3.9.2

Package: zim
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-xdg, python-simplejson | python (>= 2.6)
# python-gtkspell required for the spell checker plugin
Recommends: python-gtkspell
# graphviz required for the link map/diagram plugins
# bzr required for the version control plugin
# scrot required for the screenshot plugin
# dvipng required for the "equation" plugin
Suggests: bzr, graphviz, scrot, dvipng
Description: graphical text editor based on wiki technologies
 Zim is a graphical text editor used to maintain a collection of wiki pages.
 .
 Each page can contain links to other pages, simple formatting and inline
 images. Pages are stored in a folder structure, like in an outliner, and can
 have attachments. Creating a new page is as easy as linking to a nonexistent
 page.
 .
 All data is stored in plain text files with wiki formatting. Various
 plugins provide additional functionality, like a task list manager, an
 equation editor, a tray icon, and support for version control.
 .
 Zim can be used to:
  * Keep an archive of notes
  * Take notes during meetings or lectures
  * Organize task lists
  * Draft blog entries and emails
  * Do brainstorming

## zim 0.54

=== debian/changelog ===
zim (0.54-1) unstable; urgency=low

  * New upstream release.
    - Links in read-only mode work again. Closes: #650114

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Dec 2011 08:11:36 +0100

## zim 0.56

=== Makefile ===
--- 
+++ 
@@ -33,13 +33,13 @@
 	$(MAKE) -f $(CURDIR)/debian/rules clean
 
 epydoc:
-	rm -fr ./apidoc
-	epydoc --html zim --graph umlclasstree -o ./apidoc --parse-only --no-private
-	@echo -e '\nAPI docs are available in ./apidoc'
+	epydoc --config ./epydoc.conf -v
+	@echo -e '\nAPI docs are available in ./apidocs'
 
 clean:
 	$(PYTHON) setup.py clean
 	rm -rf build/ MANIFEST tests/tmp/ locale/ man/ xdg/hicolor
 	find . -name '*.pyc' -delete
+	find . -name '*.pyo' -delete
 	find . -name '*~' -delete
 	rm -fr debian/zim* debian/files debian/python-module-stampdir/

=== debian/changelog ===
zim (0.56-1) unstable; urgency=low

  * New upstream release.
  * Update Suggests with more dependencies required by optional plugins.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 04 Apr 2012 08:46:45 +0200

zim (0.55-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3 (no change)
  * Update Vcs-Browser URL broken by Alioth changes

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 03 Mar 2012 22:26:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
 Build-Depends: debhelper (>= 7.4.12), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/zim/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zim/trunk?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/zim/trunk/
 Homepage: http://zim-wiki.org
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: zim
 Architecture: all
@@ -15,10 +15,11 @@
 # python-gtkspell required for the spell checker plugin
 Recommends: python-gtkspell
 # graphviz required for the link map/diagram plugins
-# bzr required for the version control plugin
+# bzr/git/mercurial required for the version control plugin
 # scrot required for the screenshot plugin
 # dvipng required for the "equation" plugin
-Suggests: bzr, graphviz, scrot, dvipng
+# ditaa required for ditaa plugin
+Suggests: bzr, git, mercurial, graphviz, ditaa, scrot, dvipng
 Description: graphical text editor based on wiki technologies
  Zim is a graphical text editor used to maintain a collection of wiki pages.
  .

## zim 0.59

=== debian/changelog ===
zim (0.59-1) unstable; urgency=low

  * New upstream release.
  * Switch to git for package maintenance. Updated Vcs-* fields accordingly
    in debian/control.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 28 Jan 2013 14:35:28 +0100

zim (0.58-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file to be compliant with the final version of the
    copyright format.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 17 Dec 2012 22:56:28 +0100

zim (0.57-1) unstable; urgency=low

  * New upstream release.
  * Add “Suggests: python-zeitgeist, lilypond, r-base, gnuplot” for several
    plugins.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 15 Oct 2012 08:55:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Emfox Zhou <emfox@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
 Build-Depends: debhelper (>= 7.4.12), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg
-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/zim/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/zim/trunk/
+Vcs-Git: git://anonscm.debian.org/collab-maint/zim.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zim.git
 Homepage: http://zim-wiki.org
 Standards-Version: 3.9.3
 
@@ -19,7 +19,12 @@
 # scrot required for the screenshot plugin
 # dvipng required for the "equation" plugin
 # ditaa required for ditaa plugin
-Suggests: bzr, git, mercurial, graphviz, ditaa, scrot, dvipng
+# python-zeitgeist for "log evens with Zeitgeist" plugin
+# r-base for "GNU R graph" plugin
+# gnuplot for "Gnupolt graph" plugin
+# lilypond for "music sheet" plugin
+Suggests: bzr, git, mercurial, graphviz, ditaa, scrot, dvipng,
+ python-zeitgeist, r-base, gnuplot, lilypond
 Description: graphical text editor based on wiki technologies
  Zim is a graphical text editor used to maintain a collection of wiki pages.
  .

## zim 0.60

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 clean:
 	$(PYTHON) setup.py clean
-	rm -rf build/ MANIFEST tests/tmp/ locale/ man/ xdg/hicolor
+	rm -rf build/ MANIFEST tests/tmp/ locale/ man/ xdg/hicolor test_report.html
 	find . -name '*.pyc' -delete
 	find . -name '*.pyo' -delete
 	find . -name '*~' -delete

=== debian/changelog ===
zim (0.60-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.4.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 May 2013 17:48:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/zim.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zim.git
 Homepage: http://zim-wiki.org
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: zim
 Architecture: all

## zim 0.62

=== debian/changelog ===
zim (0.62-3) unstable; urgency=medium

  * Cherry pick multiple upstream commits:
    - bugfix for the tasklist when no labels are defined. Closes: #765746
    - improve behaviour of the calendar widget. Closes: #765745

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 22 Oct 2014 10:18:45 +0200

zim (0.62-2) unstable; urgency=medium

  * Cherry pick an upstream patch that fixes a small regression
    with keybindings.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 21 Oct 2014 08:54:43 +0200

zim (0.62-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.6
  * Switch to debhelper compat level 9.
  * Update copyright file.
  * Modifiy desktop file to accept a filename as parameter (thanks to
    Lintian).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 01 Oct 2014 17:23:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Emfox Zhou <emfox@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 7.4.12), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg
+Build-Depends: debhelper (>= 9), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg
 Vcs-Git: git://anonscm.debian.org/collab-maint/zim.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zim.git
 Homepage: http://zim-wiki.org
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: zim
 Architecture: all

## zim 0.63

=== debian/changelog ===
zim (0.63-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 17 Jun 2015 09:20:50 +0200

## zim 0.65

=== debian/changelog ===
zim (0.65-2) unstable; urgency=medium

  * Fix reload-pages.patch changes in the search dialog. It broke
    the feature. Closes: #804763

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 15 Nov 2015 18:20:27 +0100

zim (0.65-1) unstable; urgency=medium

  * New upstream release.
  * Add dh-python to Build-Depends.
  * Drop patch on desktop file (merged upstream).
  * Add patch to avoid using cached file so that external changes are taken
    into account sooner. Closes: #799303
  * Drop menu support. We already have a .desktop entry.
  * Update Vcs-Browser URL to point to cgit instead of gitweb.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 04 Nov 2015 21:15:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Emfox Zhou <emfox@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 9), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg
+Build-Depends: debhelper (>= 9), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
 Vcs-Git: git://anonscm.debian.org/collab-maint/zim.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zim.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/zim.git
 Homepage: http://zim-wiki.org
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Zim build system requires those environment variables...
export USER=fake
export HOME=$(CURDIR)/debian/fake-home

$(CURDIR)/debian/fake-home:
	mkdir $(CURDIR)/debian/fake-home

%: $(CURDIR)/debian/fake-home
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
	# Disable as it requires an X display

override_dh_auto_install: $(CURDIR)/debian/fake-home
	dh_auto_install --buildsystem=python_distutils -- --skip-xdg-cmd

=== debian/watch ===
version=3
http://www.zim-wiki.org/downloads/[Zz]im-(\d.*)\.tar.*

## zim 0.67

=== debian/changelog ===
zim (0.67-1) unstable; urgency=medium

  * New upstream release. Closes: #869553
  * Drop patches merged upstream.
  * Bump Standards-Version to 4.0.0.
  * Bump debhelper compat level to 10.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 07 Aug 2017 17:05:13 +0200

zim (0.67~rc2-2) experimental; urgency=medium

  * Add upstream patches to fix quicknote plugin.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 04 Jul 2017 16:22:29 +0200

zim (0.67~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file to support release candidates tarballs.
  * Drop all patches, issues fixed upstream. For reload-pages.patch, there's
    an e-tag mechanism to detect when files have been changed underneath.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 15 Jun 2017 14:18:53 +0200

zim (0.65-4) unstable; urgency=medium

  * Update Recommends/Suggests for plugin changes. Closes: #834405
    Thanks to Osamu Aoki for the patch.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 21 Nov 2016 22:09:03 +0100

zim (0.65-3) unstable; urgency=medium

  * Add Reiner Herrmann's patch to make the build reproducible.
    Closes: #829708
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* URLs to rely on https.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 20 Jul 2016 16:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,29 @@
 Priority: optional
 Maintainer: Emfox Zhou <emfox@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 9), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
-Vcs-Git: git://anonscm.debian.org/collab-maint/zim.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/zim.git
+Build-Depends: debhelper (>= 10), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zim.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zim.git
 Homepage: http://zim-wiki.org
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 
 Package: zim
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-xdg, python-simplejson | python (>= 2.6)
-# python-gtkspell required for the spell checker plugin
-Recommends: python-gtkspell
+# python-gtkspellcheck required for the spell checker plugin
+Recommends: python-gtkspellcheck | python-gtkspell
 # graphviz required for the link map/diagram plugins
-# bzr/git/mercurial required for the version control plugin
+# bzr/git/mercurial/fossil required for the version control plugin
 # scrot required for the screenshot plugin
 # dvipng required for the "equation" plugin
 # ditaa required for ditaa plugin
 # python-zeitgeist for "log evens with Zeitgeist" plugin
+# python-gtksourceview2 for "Source View" plugin
 # r-base for "GNU R graph" plugin
 # gnuplot for "Gnupolt graph" plugin
 # lilypond for "music sheet" plugin
-Suggests: bzr, git, mercurial, graphviz, ditaa, scrot, dvipng,
- python-zeitgeist, r-base, gnuplot, lilypond
+Suggests: bzr, git, mercurial, fossil, graphviz, ditaa, scrot, dvipng,
+ python-gtksourceview2, python-zeitgeist, r-base, gnuplot, lilypond
 Description: graphical text editor based on wiki technologies
  Zim is a graphical text editor used to maintain a collection of wiki pages.
  .

## zim 0.68~rc1

=== debian/changelog ===
zim (0.68~rc1-2) unstable; urgency=medium

  * Move git repository to salsa.debian.org.
  * Switch to debhelper compat level 11.
  * Release to unstable, it has been working fine for me.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 06 Feb 2018 16:04:45 +0100

zim (0.68~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 16 Jan 2018 17:42:41 +0100

zim (0.67-2) unstable; urgency=medium

  * Replace Emfox Zou in Maintainer's field with the generic
    zim@packages.debian.org contact address. He's no longer
    maintaining the package. Let's see if anything breaks.
  * Bump Standards-Version to 4.1.1.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 01 Dec 2017 09:48:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: zim
 Section: x11
 Priority: optional
-Maintainer: Emfox Zhou <emfox@debian.org>
+Maintainer: Zim Package Maintainers <zim@packages.debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 10), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zim.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zim.git
+Build-Depends: debhelper (>= 11), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
+Vcs-Git: https://salsa.debian.org/debian/zim.git
+Vcs-Browser: https://salsa.debian.org/debian/zim
 Homepage: http://zim-wiki.org
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 
 Package: zim
 Architecture: all

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
http://www.zim-wiki.org/downloads/[Zz]im-(\d.*)\.tar.*

## zim 0.68

=== debian/changelog ===
zim (0.68-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 21 Jun 2018 19:39:08 -0700

zim (0.68-1) unstable; urgency=medium

  * New upstream release. Closes: #893375
  * Depends on python-gobject-2 instead of python-gobject for now (until the
    port to python-gi is done). Closes: #890178

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 21 Mar 2018 11:56:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: zim
 Section: x11
 Priority: optional
-Maintainer: Zim Package Maintainers <zim@packages.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Zim Package Maintainers <zim@packages.debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 11), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
+Build-Depends: debhelper (>= 10), xdg-utils, python (>= 2.6.6-3~),
+               libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
 Vcs-Git: https://salsa.debian.org/debian/zim.git
 Vcs-Browser: https://salsa.debian.org/debian/zim
 Homepage: http://zim-wiki.org
@@ -11,7 +13,7 @@
 
 Package: zim
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-xdg, python-simplejson | python (>= 2.6)
+Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject-2, python-xdg, python-simplejson | python (>= 2.6)
 # python-gtkspellcheck required for the spell checker plugin
 Recommends: python-gtkspellcheck | python-gtkspell
 # graphviz required for the link map/diagram plugins

## zim 0.69.1

=== debian/changelog ===
zim (0.69.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Raphaël Hertzog ]
  * New upstream version 0.69.1
  * Update copyright file for CC0-1.0 license of
    xdg/org.zim_wiki.Zim.metainfo.xml
  * Bump Standards-Version to 4.3.0

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 22 Mar 2019 21:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: zim
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Zim Package Maintainers <zim@packages.debian.org>
+Maintainer: Zim Package Maintainers <zim@packages.debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 10), xdg-utils, python (>= 2.6.6-3~),
-               libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
+Build-Depends: debhelper (>= 11), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
 Vcs-Git: https://salsa.debian.org/debian/zim.git
 Vcs-Browser: https://salsa.debian.org/debian/zim
 Homepage: http://zim-wiki.org
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 
 Package: zim
 Architecture: all

## zim 0.70~rc3

=== debian/changelog ===
zim (0.70~rc3-1) experimental; urgency=medium

  * New upstream version 0.70~rc3
  * Update dependencies for Python 3 and GTK 3 with introspection switch
  * Update build rules for Python 3 and upstream changes
  * Update copyright file with new path of appstream data file
  * Switch to debhelper compat level 12
  * Switch to pybuild
  * Drop zim/inc/xdot.py entry in copyright file

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 22 Mar 2019 23:11:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Zim Package Maintainers <zim@packages.debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 11), xdg-utils, python (>= 2.6.6-3~), libgtk2.0-0 (>= 2.6), python-gtk2, python-xdg, dh-python
+Build-Depends: debhelper-compat (= 12), python3, python3-gi, python3-xdg, gir1.2-gtk-3.0, dh-python
 Vcs-Git: https://salsa.debian.org/debian/zim.git
 Vcs-Browser: https://salsa.debian.org/debian/zim
 Homepage: http://zim-wiki.org
@@ -11,21 +11,21 @@
 
 Package: zim
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject-2, python-xdg, python-simplejson | python (>= 2.6)
-# python-gtkspellcheck required for the spell checker plugin
-Recommends: python-gtkspellcheck | python-gtkspell
+Depends: ${python3:Depends}, ${misc:Depends}, python3-gi, python3-xdg, gir1.2-gtk-3.0, xdg-utils
+# gir1.2-gtkspell3-3.0 required for the spell checker plugin
+Recommends: gir1.2-gtkspell3-3.0
 # graphviz required for the link map/diagram plugins
 # bzr/git/mercurial/fossil required for the version control plugin
 # scrot required for the screenshot plugin
 # dvipng required for the "equation" plugin
 # ditaa required for ditaa plugin
-# python-zeitgeist for "log evens with Zeitgeist" plugin
-# python-gtksourceview2 for "Source View" plugin
+# python3-zeitgeist for "log evens with Zeitgeist" plugin
+# gir1.2-gtksource-3.0 for "Source View" plugin
 # r-base for "GNU R graph" plugin
 # gnuplot for "Gnupolt graph" plugin
 # lilypond for "music sheet" plugin
 Suggests: bzr, git, mercurial, fossil, graphviz, ditaa, scrot, dvipng,
- python-gtksourceview2, python-zeitgeist, r-base, gnuplot, lilypond
+ gir1.2-gtksource-3.0, python3-zeitgeist, r-base, gnuplot, lilypond
 Description: graphical text editor based on wiki technologies
  Zim is a graphical text editor used to maintain a collection of wiki pages.
  .

## zim 0.71.0

=== debian/changelog ===
zim (0.71.0-1) experimental; urgency=medium

  * New upstream version 0.71

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 06 May 2019 20:48:37 +0200

zim (0.70-1) experimental; urgency=medium

  * New upstream version 0.70

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 12 Apr 2019 23:11:28 +0200

## zim 0.72.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYTHON=`which python`
+PYTHON=`which python3`
 DESTDIR=/
 BUILDIR=$(CURDIR)/debian/zim
 PROJECT=zim
@@ -43,3 +43,6 @@
 	find . -name '*.pyo' -delete
 	find . -name '*~' -delete
 	rm -fr debian/zim* debian/files debian/python-module-stampdir/
+	rm -fr debian/.debhelper
+	rm -fr .pybuild/
+

=== debian/changelog ===
zim (0.72.0-1) unstable; urgency=medium

  * New upstream version 0.72.0
  * Bump Standards-Version to 4.4.0
  * This version uses Python 3 and GObject Instrospection.
    Closes: #885501, #938889
  * It also provides the fix for the too large rename window.
    Closes: #645826

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 31 Aug 2019 16:24:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Git: https://salsa.debian.org/debian/zim.git
 Vcs-Browser: https://salsa.debian.org/debian/zim
 Homepage: http://zim-wiki.org
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 
 Package: zim
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Zim build system requires those environment variables...
export USER=fake
export HOME=$(CURDIR)/debian/fake-home

$(CURDIR)/debian/fake-home:
	mkdir $(CURDIR)/debian/fake-home

%: $(CURDIR)/debian/fake-home
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Disable as it requires an X display
